/* TableStyleMedium5.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn5
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium5 extends TableStyleImpl {
	private TableStyleMedium5() {
		super(
				"TableStyleMedium5",//name,
				M5_Whole_Table, 	//wholeTable,
				M5_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M5_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M5_Last_Col, 	//lastCol,
				M5_First_Col,	//firstCol,
				M5_Header_Row,	//headerRow,
				M5_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M5_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "E5E0EC", "E5E0EC"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M5_Row_Stripe1 =
			M5_Col_Stripe1;
	private static final STableStyleElem M5_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				null,	//fill
				null //border
			);
	private static final STableStyleElem M5_First_Col =
			M5_Last_Col;
	private static final STableStyleElem M5_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.DOUBLE, "A06482"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M5_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "A06482", "A06482"),//fill //ZSS-1162
					null
			);
	private static final BorderLineImpl M5_Border_Line =
			new BorderLineImpl(BorderType.THIN, "B2A1C7");
	private static final STableStyleElem M5_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,		//fill
					new BorderImpl(
							M5_Border_Line, //left 
							M5_Border_Line, //top 
							M5_Border_Line, //right
							M5_Border_Line, //bottom
							null, //diagonal
							null, //vertical
							M5_Border_Line 	//horizontal
					)
			);

	public static final TableStyleMedium5 instance = new TableStyleMedium5();
}
